Subject: Re: kmemleak reports in kernel 3.9.5+

From: Catalin Marinas <[email-masked]>
Date: Thu, 13 Jun 2013 16:50:40 +0100

On Wed, Jun 12, 2013 at 01:28:13AM +0100, Ben Greear wrote:
> On 06/11/2013 12:52 PM, Ben Greear wrote:
> > On 06/10/2013 03:32 PM, Catalin Marinas wrote:
> >> On 10 June 2013 19:22, Ben Greear <[email-masked]> wrote:
> >>> We had a system go OOM while doing lots of wireless
> >>> stations.  (System had 8GB of RAM, so I suspect a leak).
> >>>
> >>> I enabled kmemleak in a 3.9.5 (plus some local patches) and
> >>> I see the entries below.  Any idea if these are real or not?
> 
> Most of this went away when I disabled SLUB debugging and other
> kernel hacking options.  The wifi cfg80211_inform_bss_frame
> remains, however.  I'll go dig some more on that tomorrow...didn't
> see anything obvious at first glance.
> 
> But, perhaps there could be some improvements to
> kmemleak to make it deal better with the various kernel
> debugging features?

That's unrelated to the debugging features. Kmemleak cannot find
pointers to the allocated objects. They could be real leaks or it simply
doesn't scan the right memory where such pointers are stored. The debug
objects are stored in a list with the head as static memory, so it
should be scanned.

-- 
Catalin